<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getFactionFavorGain](./bitburner.singularity.getfactionfavorgain.md)

## Singularity.getFactionFavorGain() method

Get faction favor gain.

**Signature:**

```typescript
getFactionFavorGain(faction: FactionName): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

faction


</td><td>

[FactionName](./bitburner.factionname.md)


</td><td>

Name of faction.


</td></tr>
</tbody></table>

**Returns:**

number

Amount of favor you will gain for the specified faction when you reset by installing Augmentations.

## Remarks

RAM cost: 0.75 GB \* 16/4/1

This function returns the amount of favor you will gain for the specified faction when you reset by installing Augmentations.

